### Name: geom_segment
### Title: geom_segment
### Aliases: geom_segment GeomSegment
### Keywords: hplot

### ** Examples
## Not run: 
##D require("maps")
##D 
##D xlim <- range(seals$long)
##D ylim <- range(seals$lat)
##D usamap <- data.frame(map("world", xlim = xlim, ylim = ylim, plot =
##D FALSE)[c("x","y")])
##D usamap <- rbind(usamap, NA, data.frame(map('state', xlim = xlim, ylim
##D = ylim, plot = FALSE)[c("x","y")]))
##D names(usamap) <- c("long", "lat")
##D 
##D p <- ggplot(seals, aes(x = long, y = lat))
##D (p <- p + geom_segment(aes(xend = long + delta_long, yend = lat + delta_lat), arrow=arrow(length=unit(0.1,"cm"))))
##D p + geom_path(data = usamap) + scale_x_continuous(limits=xlim)
##D 
##D # You can also use geom_segment to recreate plot(type = "h") : 
##D counts <- as.data.frame(table(x = rpois(100,5)))
##D counts$x <- as.numeric(as.character(counts$x))
##D with(counts, plot(x, Freq, type = "h", lwd = 10))
##D 
##D qplot(x, Freq, data = counts, geom="segment", 
##D   yend = 0, xend = x, size = I(10))
##D 
## End(Not run)


